--- title: "Remove person modification thumbnail" slug: "maiu-remove-person-thumbnail" updated: 2026-10-08T04:12:01Z published: 2026-10-08T04:12:01Z canonical: "api.ncloud-docs.com/maiu-remove-person-thumbnail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Remove person modification thumbnail Available in VPC Remove the specified item from thumbnails registered to a person. Note We also provide the [Remove person thumbnail](/docs/en/mi-remove-person-thumbnail) API, which offers the same feature using the `POST` method. Use the `POST` method if your HTTP client environment does not support including a request body in a `DELETE` request. The request body and response formats are identical for both APIs. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/v1/workspaces/{workspace_name}/persons/{person_id}/person-thumbnail | ### Request headers For information about the request headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `person_id` | String | Required | Person ID - See [Get people list](/docs/en/maiu-list-persons). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `thumbnailIds` | Array[Integer] | Required | Lists thumbnail IDs to be removed - IDs that do not exist or have already been removed are ignored. - You can't remove all registered thumbnails. | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001/person-thumbnail' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "thumbnailIds": [1234] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Person thumbnail list object | | `result.personId` | Integer | - | Person ID | | `result.thumbnailList` | Array | - | Final list of thumbnails registered for the person: [thumbnailList](/docs/en/maiu-remove-person-thumbnail#thumbnailList) - Complete list, excluding items removed upon request. | #### `thumbnailList` The following describes `thumbnailList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | Thumbnail ID | | `url` | String | - | Thumbnail image URL (presigned URL) | | `isPrimaryThumbnail` | Boolean | - | Whether it is the main thumbnail - `true` \| `false` | | `thumbnailSource` | String | - | Thumbnail registration method - `AUTO` \| `MANUAL` - `AUTO`: Thumbnail automatically extracted during media analysis. - `MANUAL`: Thumbnail uploaded directly by the user. | ### Response status codes For information about the response status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "personId": 1001, "thumbnailList": [ { "id": 4321, "url": "https://kr.object.ncloudstorage.com/.../jiho2.jpg?...", "isPrimaryThumbnail": true, "thumbnailSource": "MANUAL" } ] } } ```